<p dir="ltr">Debian and Ubuntu have a more graceful way of doing these things. Google chkconfig I think.</p>
<div class="gmail_quote">On Apr 9, 2014 9:24 PM, "Michael Havens" <<a href="mailto:bmike1@gmail.com">bmike1@gmail.com</a>> wrote:<br type="attribution"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div dir="ltr">think I found a way.<div>: <a href="https://langit.wordpress.com/2014/02/01/simple-way-to-execute-a-command-on-startup-in-ubuntu/" target="_blank">https://langit.wordpress.com/2014/02/01/simple-way-to-execute-a-command-on-startup-in-ubuntu/</a></div>


<div><br></div><div>(Please tell me if I found the correct means of doing this.)</div><div><br></div><div><br></div><div><p style="margin:0px;padding:0px 0px 15px;color:rgb(85,85,85);font-family:Arial,Tahoma,Verdana;font-size:12px;line-height:20px">


I would like to share with you a simple way to execute commands on startup in Ubuntu. This tip is very useful for example I have an issue on the Netatalk service that do not run properly so every time I have to run the command to restart the service after I login to Ubuntu.</p>


<p style="margin:0px;padding:0px 0px 15px;color:rgb(85,85,85);font-family:Arial,Tahoma,Verdana;font-size:12px;line-height:20px">All commands that you need to be executed must be stored in etc/rc.local setting. Open terminal then execute this command:</p>


<pre style="background-color:rgb(245,245,245);margin-top:0px;margin-bottom:15px;padding:10px 20px 0px 15px;border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;border:1px solid rgb(230,230,230);width:593px;overflow:auto;color:rgb(85,85,85);font-size:12px;line-height:20px">


sudo nano /etc/rc.local</pre><p style="margin:0px;padding:0px 0px 15px;color:rgb(85,85,85);font-family:Arial,Tahoma,Verdana;font-size:12px;line-height:20px">Add the following command to restart Netatalk service, right before “<code>exit 0"</code>:</p>


<pre style="background-color:rgb(245,245,245);margin-top:0px;margin-bottom:15px;padding:10px 20px 0px 15px;border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-right-radius:3px;border-bottom-left-radius:3px;border:1px solid rgb(230,230,230);width:593px;overflow:auto;color:rgb(85,85,85);font-size:12px;line-height:20px">


sudo /etc/init.d/ssh start
exit 0</pre><p style="margin:0px;padding:0px 0px 15px;color:rgb(85,85,85);font-family:Arial,Tahoma,Verdana;font-size:12px;line-height:20px">That’s it! It’s so simple. I have solved the Netatalk service problem for now. So I have more time to take a look what is the problem with the Netatalk service.</p>


<div><br>and then:</div><div><br></div><div>  sudo chmod +x /etc/rc.local</div></div><div><br></div><div>after I'm done?</div><div><br></div><div>As I was verifying commands for this email this happened:</div>

<div><br></div><div><div>  bmike1@PresarioLapTop1:~$ sudo /etc/init.d/ssh</div><div>  /lib/init/upstart-job: 28: shift: can't shift that many</div><div>  bmike1@PresarioLapTop1:~$ /etc/init.d/ssh</div><div>   * Usage: /etc/init.d/ssh {start|stop|reload|force-reload|restart|try-restart|status}</div>


<div><br></div></div><div>is the first 'error' because ssh is already started?</div></div><div class="gmail_extra"><br clear="all"><div>:-)~MIKE~(-:</div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 8:57 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">


<div dir="ltr"><div>well, there is the skeleton file which I'm sure you use but I'm not sure.....</div><div><br></div><div> cat /etc/init.d/skeleton</div><div>#! /bin/sh</div><div>### BEGIN INIT INFO</div><div># Provides:          skeleton</div>



<div># Required-Start:    $remote_fs $syslog</div><div># Required-Stop:     $remote_fs $syslog</div><div># Default-Start:     2 3 4 5</div><div># Default-Stop:      0 1 6</div><div># Short-Description: Example initscript</div>



<div># Description:       This file should be used to construct scripts to be</div><div>#                    placed in /etc/init.d.</div><div>### END INIT INFO</div><div><br></div><div># Author: Foo Bar <<a href="mailto:foobar@baz.org" target="_blank">foobar@baz.org</a>></div>



<div>#</div><div># Please remove the "Author" lines above and replace them</div><div># with your own name if you copy and modify this script.</div><div><br></div><div># Do NOT "set -e"</div><div><br></div>



<div># PATH should only include /usr/* if it runs after the mountnfs.sh script</div><div>PATH=/sbin:/usr/sbin:/bin:/usr/bin</div><div>DESC="Description of the service"</div><div>NAME=daemonexecutablename</div><div>



DAEMON=/usr/sbin/$NAME</div><div>DAEMON_ARGS="--options args"</div><div>PIDFILE=/var/run/$NAME.pid</div><div>SCRIPTNAME=/etc/init.d/$NAME</div><div><br></div><div># Exit if the package is not installed</div><div>



[ -x "$DAEMON" ] || exit 0</div><div><br></div><div># Read configuration variable file if it is present</div><div>[ -r /etc/default/$NAME ] && . /etc/default/$NAME</div><div><br></div><div># Load the VERBOSE setting and other rcS variables</div>



<div>. /lib/init/vars.sh</div><div><br></div><div># Define LSB log_* functions.</div><div># Depend on lsb-base (>= 3.2-14) to ensure that this file is present</div><div># and status_of_proc is working.</div><div>. /lib/lsb/init-functions</div>



<div><br></div><div>#</div><div># Function that starts the daemon/service</div><div>#</div><div>do_start()</div><div>{</div><div><span style="white-space:pre-wrap">        </span># Return</div><div><span style="white-space:pre-wrap"> </span>#   0 if daemon has been started</div>



<div><span style="white-space:pre-wrap">  </span>#   1 if daemon was already running</div><div><span style="white-space:pre-wrap"> </span>#   2 if daemon could not be started</div><div><span style="white-space:pre-wrap">        </span>start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \</div>



<div><span style="white-space:pre-wrap">          </span>|| return 1</div><div><span style="white-space:pre-wrap">      </span>start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \</div><div><span style="white-space:pre-wrap">         </span>$DAEMON_ARGS \</div>



<div><span style="white-space:pre-wrap">          </span>|| return 2</div><div><span style="white-space:pre-wrap">      </span># Add code here, if necessary, that waits for the process to be ready</div><div><span style="white-space:pre-wrap">    </span># to handle requests from services started subsequently which depend</div>



<div><span style="white-space:pre-wrap">  </span># on this one.  As a last resort, sleep for some time.</div><div>}</div><div><br></div><div>#</div><div># Function that stops the daemon/service</div><div>#</div><div>do_stop()</div>



<div>{</div><div><span style="white-space:pre-wrap">  </span># Return</div><div><span style="white-space:pre-wrap"> </span>#   0 if daemon has been stopped</div><div><span style="white-space:pre-wrap">    </span>#   1 if daemon was already stopped</div>



<div><span style="white-space:pre-wrap">  </span>#   2 if daemon could not be stopped</div><div><span style="white-space:pre-wrap">        </span>#   other if a failure occurred</div><div><span style="white-space:pre-wrap">     </span>start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME</div>



<div><span style="white-space:pre-wrap">  </span>RETVAL="$?"</div><div><span style="white-space:pre-wrap">    </span>[ "$RETVAL" = 2 ] && return 2</div><div><span style="white-space:pre-wrap">  </span># Wait for children to finish too if this is a daemon that forks</div>



<div><span style="white-space:pre-wrap">  </span># and if the daemon is only ever run from this initscript.</div><div><span style="white-space:pre-wrap">       </span># If the above conditions are not satisfied then add some other code</div>



<div><span style="white-space:pre-wrap">  </span># that waits for the process to drop all resources that could be</div><div><span style="white-space:pre-wrap"> </span># needed by services started subsequently.  A last resort is to</div>



<div><span style="white-space:pre-wrap">  </span># sleep for some time.</div><div><span style="white-space:pre-wrap">   </span>start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON</div><div><span style="white-space:pre-wrap">     </span>[ "$?" = 2 ] && return 2</div>



<div><span style="white-space:pre-wrap">  </span># Many daemons don't delete their pidfiles when they exit.</div><div><span style="white-space:pre-wrap">   </span>rm -f $PIDFILE</div><div><span style="white-space:pre-wrap">   </span>return "$RETVAL"</div>



<div>}</div><div><br></div><div>#</div><div># Function that sends a SIGHUP to the daemon/service</div><div>#</div><div>do_reload() {</div><div><span style="white-space:pre-wrap">  </span>#</div><div><span style="white-space:pre-wrap">        </span># If the daemon can reload its configuration without</div>



<div><span style="white-space:pre-wrap">  </span># restarting (for example, when it is sent a SIGHUP),</div><div><span style="white-space:pre-wrap">    </span># then implement that here.</div><div><span style="white-space:pre-wrap">      </span>#</div>



<div><span style="white-space:pre-wrap">  </span>start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME</div><div><span style="white-space:pre-wrap">      </span>return 0</div><div>}</div><div><br></div>
<div>case "$1" in</div><div>  start)</div><div><span style="white-space:pre-wrap"> </span>[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"</div><div><span style="white-space:pre-wrap">    </span>do_start</div>



<div><span style="white-space:pre-wrap">  </span>case "$?" in</div><div><span style="white-space:pre-wrap">           </span>0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;</div><div><span style="white-space:pre-wrap">          </span>2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;</div>



<div><span style="white-space:pre-wrap">  </span>esac</div><div><span style="white-space:pre-wrap">     </span>;;</div><div>  stop)</div><div><span style="white-space:pre-wrap">    </span>[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"</div>



<div><span style="white-space:pre-wrap">  </span>do_stop</div><div><span style="white-space:pre-wrap">  </span>case "$?" in</div><div><span style="white-space:pre-wrap">           </span>0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;</div>



<div><span style="white-space:pre-wrap">          </span>2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;</div><div><span style="white-space:pre-wrap">    </span>esac</div><div><span style="white-space:pre-wrap">     </span>;;</div>



<div>  status)</div><div>       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?</div><div>       ;;</div><div>  #reload|force-reload)</div><div><span style="white-space:pre-wrap">   </span>#</div>



<div><span style="white-space:pre-wrap">  </span># If do_reload() is not implemented then leave this commented out</div><div><span style="white-space:pre-wrap">        </span># and leave 'force-reload' as an alias for 'restart'.</div>



<div><span style="white-space:pre-wrap">  </span>#</div><div><span style="white-space:pre-wrap">        </span>#log_daemon_msg "Reloading $DESC" "$NAME"</div><div><span style="white-space:pre-wrap">    </span>#do_reload</div>



<div><span style="white-space:pre-wrap">  </span>#log_end_msg $?</div><div><span style="white-space:pre-wrap">  </span>#;;</div><div>  restart|force-reload)</div><div><span style="white-space:pre-wrap">   </span>#</div>
<div><span style="white-space:pre-wrap">  </span># If the "reload" option is implemented then remove the</div><div><span style="white-space:pre-wrap">        </span># 'force-reload' alias</div><div><span style="white-space:pre-wrap">   </span>#</div>



<div><span style="white-space:pre-wrap">  </span>log_daemon_msg "Restarting $DESC" "$NAME"</div><div><span style="white-space:pre-wrap">    </span>do_stop</div><div><span style="white-space:pre-wrap">  </span>case "$?" in</div>



<div><span style="white-space:pre-wrap">  </span>  0|1)</div><div><span style="white-space:pre-wrap">              </span>do_start</div><div><span style="white-space:pre-wrap">         </span>case "$?" in</div><div><span style="white-space:pre-wrap">                   </span>0) log_end_msg 0 ;;</div>



<div><span style="white-space:pre-wrap">                  </span>1) log_end_msg 1 ;; # Old process is still running</div><div><span style="white-space:pre-wrap">                       </span>*) log_end_msg 1 ;; # Failed to start</div><div><span style="white-space:pre-wrap">            </span>esac</div>



<div><span style="white-space:pre-wrap">          </span>;;</div><div><span style="white-space:pre-wrap">       </span>  *)</div><div><span style="white-space:pre-wrap">        </span>  <span style="white-space:pre-wrap"> </span># Failed to stop</div>



<div><span style="white-space:pre-wrap">          </span>log_end_msg 1</div><div><span style="white-space:pre-wrap">            </span>;;</div><div><span style="white-space:pre-wrap">       </span>esac</div><div><span style="white-space:pre-wrap">     </span>;;</div>



<div>  *)</div><div><span style="white-space:pre-wrap">  </span>#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2</div><div><span style="white-space:pre-wrap"> </span>echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2</div>



<div><span style="white-space:pre-wrap">  </span>exit 3</div><div><span style="white-space:pre-wrap">   </span>;;</div><div>esac</div><div><br></div><div>:</div><div>bmike1@PresarioLapTop1:~$ </div><div><br></div></div>
<div class="gmail_extra"><br clear="all"><div>:-)~MIKE~(-:</div>
<br><div><div><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 8:51 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">



<div dir="ltr">hey.... I figured out the command to issue:<div><br></div><div>  /etc/init.d/ssh start<br></div><div><br></div><div>but am unsure of where to put it to always activate it.</div></div><div class="gmail_extra">




<br clear="all"><div>:-)~MIKE~(-:</div><div><div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 8:42 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">




<div dir="ltr">so, like, I ran 'apt-get install ssh' and apt-get told me it was also going to install:<div><br></div><div>ncurses-term openssh-client openssh-server ssh-import-id<br></div><div><br></div><div>so there is what I was looking for! openssh-server.  Anyways, what file do I need to put in /etc/ssh.d so it will always restart upon a reboot?</div>





</div><div class="gmail_extra"><br clear="all"><div>:-)~MIKE~(-:</div><div><div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 8:31 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">





<div dir="ltr">so what directory runs scripts automatically? is it /etc/ssh.d ? I just put a text file with the desired script in there or is there something else I have to do?</div><div class="gmail_extra"><br clear="all">






<div>:-)~MIKE~(-:</div><div><div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 3:09 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">






<div dir="ltr">did it!<div>apt-get install ssh</div><div>did it</div></div><div class="gmail_extra"><br clear="all"><div>:-)~MIKE~(-:</div><div><div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 2:17 PM, Stephen Partington <span dir="ltr"><<a href="mailto:cryptworks@gmail.com" target="_blank">cryptworks@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">







<div dir="ltr"><div class="gmail_default" style="font-family:'trebuchet ms',sans-serif">should be "/etc/init.d/sshd start" or something similar and then depending on dist you simply ad that start script to the system startup chkconfig or something similar. you can also list what is in your init.d and see what is there.</div>









<div class="gmail_default" style="font-family:'trebuchet ms',sans-serif"><br></div></div><div class="gmail_extra"><br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 1:57 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br>









<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir="ltr">how do you turn openssl on? just installing it didn't do it. what happened to openssl-server?</div>








<div class="gmail_extra">
<br clear="all"><div>:-)~MIKE~(-:</div><div><div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 1:51 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">











<div dir="ltr">You know.... I seem to remember being able to pull files to the host in another incarnation of the VM. Doesn't that mean sshd isn't installed? So the easy fix is apt-get install sshd..... right?<div>












<br></div><div>ohhh I remember now! I had to install ssh-server.... </div><div>thank you Stephen... openssl . I thought it was openssl-server I hap to install but it nolonger is in the repositories.</div><div><br><div class="gmail_extra">













<br clear="all"><div>:-)~MIKE~(-:</div><div><div><div><div>
<br><br><div class="gmail_quote">On Wed, Apr 9, 2014 at 1:33 PM, Michael Havens <span dir="ltr"><<a href="mailto:bmike1@gmail.com" target="_blank">bmike1@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">














<div dir="ltr"><div>I attempted to transfer a file from a virtual machine to the host with less than stellar results:</div><div><br></div><div><div>  root@LFS:/# scp mnt/lfs/sources/binutils-2.24/binutils2.24.run bmike1@192.168.0.4:/home/bmike1/Documents</div>















<div>  ssh: connect to host 192.168.0.4 port 22: Connection refused</div><div>  lost connection</div><div>  root@LFS:/# </div></div><div><br></div><div>I remember this happened before in another situation and there is a solution but can't remember that solution. Could someone help me?</div>















<div>:-)~MIKE~(-:</div>
</div>
</blockquote></div><br></div></div></div></div></div></div></div>
</blockquote></div><br></div></div></div><div><div>
<br>---------------------------------------------------<br>
PLUG-discuss mailing list - <a href="mailto:PLUG-discuss@lists.phxlinux.org" target="_blank">PLUG-discuss@lists.phxlinux.org</a><br>
To subscribe, unsubscribe, or to change your mail settings:<br>
<a href="http://lists.phxlinux.org/mailman/listinfo/plug-discuss" target="_blank">http://lists.phxlinux.org/mailman/listinfo/plug-discuss</a><br></div></div></blockquote></div><br><br clear="all"><div><div><br></div>
-- <br>A mouse trap, placed on top of your alarm clock, will prevent you from rolling over and going back to sleep after you hit the snooze button.<br>

<br>Stephen<br><br>
</div></div>
<br>---------------------------------------------------<br>
PLUG-discuss mailing list - <a href="mailto:PLUG-discuss@lists.phxlinux.org" target="_blank">PLUG-discuss@lists.phxlinux.org</a><br>
To subscribe, unsubscribe, or to change your mail settings:<br>
<a href="http://lists.phxlinux.org/mailman/listinfo/plug-discuss" target="_blank">http://lists.phxlinux.org/mailman/listinfo/plug-discuss</a><br></blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div>
<br>---------------------------------------------------<br>
PLUG-discuss mailing list - <a href="mailto:PLUG-discuss@lists.phxlinux.org">PLUG-discuss@lists.phxlinux.org</a><br>
To subscribe, unsubscribe, or to change your mail settings:<br>
<a href="http://lists.phxlinux.org/mailman/listinfo/plug-discuss" target="_blank">http://lists.phxlinux.org/mailman/listinfo/plug-discuss</a><br></blockquote></div>